project "Editor"
kind "ConsoleApp"

buildmessage "Building editor ..."

links{
  "YoggieEngine",
  "ImGuizmo",
  "yaml-cpp",
  "nfd.lib"
}

includedirs{

  "../YoggieEngine/build/Debug",

  -- I'd prefer if didn't need these..
  -- We'll figure that out some time later
  incfolder["lua"],
  incfolder["spdlog"],
  incfolder["glm"],
  incfolder["assimp"],
  incfolder["glad"],
  incfolder["glfw"],

  incfolder["imgui"],
  incfolder["imguizmo"],
  incfolder["entt"],
  incfolder["yamlcpp"],
  incfolder["nativefiledialog"],


}

libdirs {
  staticlib["yoggie"],
  staticlib["nativefiledialog"]
}

files { 
  "../libs/glad/src/glad.c",
  "./src/**.h",
  "./src/**.cpp"
}
